#include<bits/stdc++.h>

#define ll long long
#define ld long double
#define fir first
#define sec second
#define int long long
#define pb push_back
#define mp make_pair
#define vec vector
#define all(x) x.begin(), x.end()
#define sz(x) (int)x.size()

using namespace std;

const int MAX = 2e5 + 7;
int q, n;


pair<ll, ll> f(pair<ll, ll> x) {
    auto [l, r] = x;
    if (l == 0 && r == n + 1) return {-2e18, 1};
    if (r == n + 1) return {-((r - 1) - l), (r - 1)};
    if (l == 0) return {-(r - 1), l + 1};
    ll mid = (l + r) >> 1;
    return {-min(mid - l, r - mid), mid};
}

void solve3() {
    set < int > setik;
    for (int i = 0; i < n; ++i)
        setik.insert(i + 1, setik.end());
    for (int i : setik)
        cout << i << " ";
}

int32_t main () {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);
    solve3();
}
